DocumentDepthProperties (Apache CXF JavaDoc 4.2.1 API)
Description: declaration: package: org.apache.cxf.staxutils, class: DocumentDepthProperties

Package org.apache.cxf.staxutils

# Class DocumentDepthProperties

java.lang.Object
org.apache.cxf.staxutils.DocumentDepthProperties

public class DocumentDepthProperties extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INNER_ELEMENT_COUNT`
  `static final String`
  `INNER_ELEMENT_LEVEL`
  `static final String`
  `TOTAL_ELEMENT_COUNT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentDepthProperties()`
  `DocumentDepthProperties(int elementCountThreshold, int innerElementLevelThreshold, int innerElementCountThreshold)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getElementCountThreshold()`
  `int`
  `getInnerElementCountThreshold()`
  `int`
  `getInnerElementLevelThreshold()`
  `boolean`
  `isEffective()`
  `void`
  `setElementCountThreshold(int elementCountThreshold)`
  `void`
  `setInnerElementCountThreshold(int innerElementCountThreshold)`
  `void`
  `setInnerElementLevelThreshold(int innerElementLevelThreshold)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TOTAL_ELEMENT_COUNT

    public static final String TOTAL_ELEMENT_COUNT
    See Also:
      - Constant Field Values

  - ### INNER_ELEMENT_COUNT

    public static final String INNER_ELEMENT_COUNT
    See Also:
      - Constant Field Values

  - ### INNER_ELEMENT_LEVEL

    public static final String INNER_ELEMENT_LEVEL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DocumentDepthProperties

    public DocumentDepthProperties()

  - ### DocumentDepthProperties

    public DocumentDepthProperties(int elementCountThreshold, int innerElementLevelThreshold, int innerElementCountThreshold)

- ## Method Details

  - ### isEffective

    public boolean isEffective()

  - ### setElementCountThreshold

    public void setElementCountThreshold(int elementCountThreshold)

  - ### getElementCountThreshold

    public int getElementCountThreshold()

  - ### setInnerElementLevelThreshold

    public void setInnerElementLevelThreshold(int innerElementLevelThreshold)

  - ### getInnerElementLevelThreshold

    public int getInnerElementLevelThreshold()

  - ### setInnerElementCountThreshold

    public void setInnerElementCountThreshold(int innerElementCountThreshold)

  - ### getInnerElementCountThreshold

    public int getInnerElementCountThreshold()